## sumalibs 1.0.36

=== Makefile ===
PREFIX=/usr/local

SOURCES = libfasta/fasta_header_parser.c \
		  libfasta/fasta_seq_writer.c \
		  libfasta/fasta_header_handler.c \
		  libfasta/header_mem_handler.c \
          libfasta/sequence.c \
          libfile/fileHandling.c \
          liblcs/sse_banded_LCS_alignment.c \
		  liblcs/upperband.c \
		  libutils/utilities.c \
          libutils/debug.c  
                   
SRCS=$(SOURCES)
         
OBJECTS= $(patsubst %.c,%.o,$(SOURCES))

LIBFILE = libsuma.a

RANLIB = ranlib

CC=gcc

LDFLAGS=

CFLAGS = -O3 -w

default: all

all: $(LIBFILE)

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $< $(LIB)

libfasta/fasta_header_parser.c: libfasta/fasta_header_parser.l
	flex -Pheader_yy -t $< > $@

libfasta/dic_parser.c: libfasta/dic_parser.l
	lex -Phashtable_yy -t $< > $@

clean:
	rm -rf $(OBJECTS) $(LIBFILE)

$(LIBFILE): $(OBJECTS)
	ar -cr $@ $?
	$(RANLIB) $@

install: all
	install -d $(DESTDIR)$(PREFIX)/lib/
	install -m 644 $(LIBFILE) $(DESTDIR)$(PREFIX)/lib/
	install -d $(DESTDIR)$(PREFIX)/include/
	for lib in libfasta liblcs libsse libutils libfile ; do \
		install -d $(DESTDIR)$(PREFIX)/include/$$lib ; \
		cp $$lib/*.h $(DESTDIR)$(PREFIX)/include/$$lib ; \
	done

=== debian/changelog ===
sumalibs (1.0.36-5) unstable; urgency=medium

  * Adding explicit -lm flag to the build to include the math library on all
    arches

 -- Pierre Gruet <pgt@debian.org>  Sun, 12 Jan 2025 21:10:01 +0100

sumalibs (1.0.36-4) unstable; urgency=medium

  * DEB_CFLAGS_MAINT_APPEND -Wno-incompatible-pointer-types
    Closes: #1075544
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 14 Dec 2024 09:25:27 +0100

sumalibs (1.0.36-3) unstable; urgency=medium

  * Fixing URI in d/watch
  * Depending on debhelper-compat 13
  * Raising Standards version to 4.6.0 (no change)
  * Providing debian/upstream/metadata
  * Marking the patch as Forwarded: not-needed

 -- Pierre Gruet <pgt@debian.org>  Wed, 10 Nov 2021 21:26:54 +0100

sumalibs (1.0.36-2) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Mon, 20 Apr 2020 12:35:05 +0200

sumalibs (1.0.36-1) unstable; urgency=medium

  [ Pierre Gruet ]
  * New upstream version 1.0.36
  * Using CMake instead of upstream's Makefile
  * Updating debian/rules to fit CMake.
  * Creating a shared lib and a development package
  * Adding debian/*.install files for the two binary packages
  * Adding symbols file for the shared lib
  * Overriding dh_clean to remove CMake output
  * Hardening compilation
  * Providing autopkgtest for building against the libs
  * Providing autopkgtest as an example for the -dev package

 -- Andreas Tille <tille@debian.org>  Mon, 20 Apr 2020 12:34:26 +0200

sumalibs (1.0.35-1) unstable; urgency=medium

  * New upstream version
  * Remove trailing whitespace in debian/copyright (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Apr 2020 13:15:04 +0200

sumalibs (1.0.34-1) unstable; urgency=medium

  * Initial release (Closes: #955481)

 -- Andreas Tille <tille@debian.org>  Wed, 01 Apr 2020 13:16:16 +0200

=== debian/control ===
Source: sumalibs
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Pierre Gruet <pgt@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/sumalibs
Vcs-Git: https://salsa.debian.org/med-team/sumalibs.git
Homepage: https://git.metabarcoding.org/obitools/sumalibs
Rules-Requires-Root: no

Package: libsuma1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: shared library for sumatra and sumaclust
 Sumatra is a tool for fast and exact comparison and clustering of sequences
 and sumaclust can be used for fast and exact clustering of genomic sequences.
 Both tools are using this common library.
 .
 This package provides the shared library.

Package: libsuma-dev
Architecture: any
Section: libdevel
Depends: libsuma1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: headers and static library for sumatra and sumaclust
 Sumatra is a tool for fast and exact comparison and clustering of sequences
 and sumaclust can be used for fast and exact clustering of genomic sequences.
 Both tools are using this common library.
 .
 This package provides the static library and header files.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

#Set VERSION and SOVERSION
VERSION=1.0
SOVERSION=1

export DEB_CFLAGS_MAINT_APPEND = -Wno-incompatible-pointer-types

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_LIBRARY_ARCHITECTURE="$(DEB_HOST_MULTIARCH)" \
		-DVERSION="$(VERSION)" \
		-DSOVERSION="$(SOVERSION)"

override_dh_clean:
	dh_clean
	-rm -rf $(CURDIR)/debian/tmp
	-rm -rf $(CURDIR)/debian/libsuma1
	-rm -rf $(CURDIR)/debian/libsuma-dev
	-rm -rf $(CURDIR)/debian/*debhelper*
	-rm $(CURDIR)/debian/*.substvars
	-rm $(CURDIR)/debian/files
	-rm -rf $(CURDIR)/obj-$(DEB_HOST_MULTIARCH)

=== debian/tests/control ===
Tests: buildAndSimpleRun
Depends: @, build-essential

=== debian/watch ===
version=4

https://git.metabarcoding.org/obitools/sumalibs/tags (?:.*?)?v?@ANY_VERSION@.tar.gz
